## javax.servlet.http
Interface ProtocolHandler

    public interface ProtocolHandler

This interface encapsulates the upgrade protocol processing. A protocol handler implementation would allow the servlet container to communicate with it.

Since:
  Servlet 3.1

Method Summary
`void` `init(WebConnection wc)` Called by the servlet container to indicate that the upgrade has started.
`void` `inputAvailable(WebConnection wc)` Called by the servlet container to indicate that input is available for processing in this upgrade request.
`void` `outputReady(WebConnection wc)` Called by the servlet container to indicate that output can be written for this upgrade request.

Method Detail

### init

    void init(WebConnection wc)

  Called by the servlet container to indicate that the upgrade has started.

  Parameters:
    `wc` - the WebConnection object associated to this upgrade request

### inputAvailable

    void inputAvailable(WebConnection wc)

  Called by the servlet container to indicate that input is available for processing in this upgrade request.

  Parameters:
    `wc` - the WebConnection object associated to this upgrade request

### outputReady

    void outputReady(WebConnection wc)

  Called by the servlet container to indicate that output can be written for this upgrade request.

  Parameters:
    `wc` - the WebConnection object associated to this upgrade request

Copyright © 2012 GlassFish Community. All Rights Reserved.